package com.vendor.burn.model.define;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.burn.Activator;
import com.vendor.burn.consoles.FastbootConsoleFactory;
import com.vendor.burn.log.Log;
import com.vendor.burn.model.PartitionItem;
import com.vendor.burn.model.define.IFastbootProgressMonitor;
import com.vendor.burn.model.event.FastbootEvent;
import com.vendor.burn.model.event.IFastbootEventListener;
import com.vendor.burn.utilitily.ToolUtils;
import com.vendor.platform.ui.internal.MenuUtils;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import org.eclipse.swt.widgets.Display;

public class NullProgressMonitor implements IFastbootProgressMonitor {
  public SimpleDateFormat dateFormat = new SimpleDateFormat();
  
  private FastbootEvent event = new FastbootEvent();
  
  private FileOutputStream LOG = null;
  
  public FastbootEvent getEvent() {
    return this.event;
  }
  
  private List<IFastbootEventListener> listeners = new ArrayList<>();
  
  public void addListener(IFastbootEventListener iFastbootEventListener) {
    if (iFastbootEventListener == null)
      return; 
    if (!this.listeners.contains(iFastbootEventListener))
      this.listeners.add(iFastbootEventListener); 
  }
  
  public void removeListener(IFastbootEventListener iFastbootEventListener) {
    if (iFastbootEventListener == null)
      return; 
    if (this.listeners.contains(iFastbootEventListener))
      this.listeners.remove(iFastbootEventListener); 
  }
  
  public void print(String str) {
    if (str == null)
      return; 
    if (ToolUtils.isCmdLine()) {
      Log.print(str);
    } else {
      FastbootConsoleFactory.getDebugConsole().getDefaultStream().print(str);
    } 
  }
  
  public void println(String str) {
    if (str == null)
      return; 
    if (ToolUtils.isCmdLine()) {
      Log.println(str);
    } else {
      FastbootConsoleFactory.getDebugConsole().getDefaultStream().println(str);
    } 
  }
  
  public void error(String err) {
    if (err == null)
      return; 
    if (ToolUtils.isCmdLine()) {
      Log.error(err);
    } else {
      FastbootConsoleFactory.getDefaultConsole().getReceivedStream().print(err);
    } 
  }
  
  public void errorln(String err) {
    if (err == null)
      return; 
    if (ToolUtils.isCmdLine()) {
      Log.errorln(err);
    } else {
      FastbootConsoleFactory.getDefaultConsole().getReceivedStream().println(err);
    } 
  }
  
  public void warn(String warning) {
    if (warning == null)
      return; 
    if (ToolUtils.isCmdLine()) {
      Log.warn(warning);
    } else {
      FastbootConsoleFactory.getDefaultConsole().getWarningStream().print(warning);
    } 
  }
  
  public void warnln(String warning) {
    if (warning == null)
      return; 
    if (ToolUtils.isCmdLine()) {
      Log.warningln(warning);
    } else {
      FastbootConsoleFactory.getDefaultConsole().getWarningStream().println(warning);
    } 
  }
  
  public void info(String info) {
    if (info == null)
      return; 
    if (ToolUtils.isCmdLine()) {
      Log.info(info);
    } else {
      FastbootConsoleFactory.getDefaultConsole().getInfoStream().print(info);
    } 
  }
  
  public void infoln(String info) {
    if (info == null)
      return; 
    if (ToolUtils.isCmdLine()) {
      Log.infoln(info);
    } else {
      FastbootConsoleFactory.getDefaultConsole().getInfoStream().println(info);
    } 
  }
  
  public void begin() {
    try {
      if (ToolUtils.isCmdLine()) {
        for (IFastbootEventListener l : this.listeners)
          l.started(getEvent()); 
      } else {
        if (this.event != null)
          Activator.getDefault().setEvent(this.event); 
        Display.getDefault().asyncExec((Runnable)new Object(this));
      } 
    } finally {
      MenuUtils.setRunJob(true);
      try {
        this.LOG = Log.getLog();
        this.LOG.write((this.dateFormat.format(new Date()) + "\n\r\n").getBytes(System.getProperty("file.encoding")));
      } catch (FileNotFoundException fileNotFoundException) {
      
      } catch (IOException iOException) {}
    } 
  }
  
  public void finish() {
    try {
      if (ToolUtils.isCmdLine()) {
        for (IFastbootEventListener l : this.listeners)
          l.finished(getEvent()); 
        getEvent().setType(null);
      } else {
        Activator defaultActivator = Activator.getDefault();
        if (defaultActivator == null)
          return; 
        defaultActivator.setEvent(null);
        Display.getDefault().asyncExec((Runnable)new Object(this));
      } 
    } finally {
      MenuUtils.setRunJob(false);
      if (this.LOG != null)
        try {
          this.LOG.close();
        } catch (IOException iOException) {} 
    } 
  }
  
  public void highlight(PartitionItem part) {
    if (part == null)
      return; 
    List<PartitionItem> list = new ArrayList<>();
    list.add(part);
    if (ToolUtils.isCmdLine()) {
      for (IFastbootEventListener l : this.listeners)
        l.hightLight(list); 
    } else {
      Display.getDefault().asyncExec((Runnable)new Object(this, list));
    } 
  }
  
  public void updateLength(long length) {
    if (ToolUtils.isCmdLine()) {
      for (IFastbootEventListener l : this.listeners)
        l.updateLength(length); 
    } else {
      Display.getDefault().asyncExec((Runnable)new Object(this, length));
    } 
  }
  
  public void log(String log) {
    try {
      if (this.LOG != null && log != null && log.length() > 0)
        this.LOG.write(log.getBytes(System.getProperty("file.encoding"))); 
    } catch (IOException iOException) {}
  }
  
  public void refreshUiPartitionTable() {
    if (ToolUtils.isCmdLine())
      return; 
    Display.getDefault().asyncExec((Runnable)new Object(this));
  }
}
